jQuery(document).ready(function($) {


// $(window).on('scroll', function(){
//     $('.uk-section').each(function(i) {
//         if ($(this).is(':visible')){
//             console.log(this);
//             $(this).addClass("is-visible");
//         }
//     });
// });



function isScrolledIntoView(elem) {
    var docViewTop = $(window).scrollTop();
    var docViewBottom = docViewTop + $(window).height();

    var elemTop = $(elem).offset().top;
    var elemBottom = elemTop + $(elem).height();

    return ((elemBottom <= docViewBottom) && (elemTop >= docViewTop));
}

$(window).scroll(function () {
    $('.uk-section').each(function () {
        if (isScrolledIntoView(this) === true) {
            $(this).addClass('is-visible');
        }
    });

});

});